Bug 237518 - grep signal 11
grep signal 11
Product: Fedora
Classification: Fedora
Component: grep (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stepan Kasal
Depends On:
  Show dependency treegraph
Reported: 2007-04-23 12:40 EDT by Need Real Name
Modified: 2009-01-09 02:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 02:06:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Transcript of grep invocations (820 bytes, text/plain)
2007-07-18 13:47 EDT, Jesse Thilo
no flags Details

  None (edit)
Description Need Real Name 2007-04-23 12:40:53 EDT
grep is terminated by signal 11 while scanning 
/home/ directory in find:
the command was
 find /home/ /u1/ -type f -exec  grep -H 'Michigan' {} ';'

find: grep terminated by signal 11

This failure is hard to reproduce, when I started the `find'
second time there was no such error.
Also it is hard to guess on what file the error was, 
because grep prints only on matched files.
I can just guess the files were 
from FC6 distribution.

-rw-r--r-- 1 root root  708780032 Oct 29 19:23 /home/data/FC-6-i386-disc1.iso
-rw-r--r-- 1 root root 3525195776 Oct 24 22:32 /home/data/FC-6-i386-DVD.iso

rpm -q grep
Comment 1 Jesse Thilo 2007-07-18 13:47:15 EDT
Created attachment 159541 [details]
Transcript of grep invocations

Patch #15 (grep-mem-exhausted.patch) appears to be the culprit.

grep is dumping core on line 790 of src/grep.c:

790	      oldc = beg[-1];
Comment 2 Jesse Thilo 2007-07-18 14:08:49 EDT
I'm trying to come up with way to reproduce input which triggers the problem
without sending you a tarball of my entire test directory.  The test case I ran
processes about 36M (in 120 files) of a directory tree before choking on a 473M
sparse file (only 228K on disk).  I'll send directions if I can reproduce
something, but for now: Patch15 removes an error in some cases, but causes a
segmentation violation in others.
Comment 3 Stepan Kasal 2007-11-06 11:32:03 EST
(In reply to comment #2)
> [...] for now: Patch15 removes an error in some cases, but causes a
segmentation violation in others.
OK, thanks.  For start, I'll study the patch and try to find the cause by a
mental debugging.  ;-)

Comment 4 Bug Zapper 2008-04-04 03:05:26 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Jesse Thilo 2008-04-12 07:59:44 EDT
This bug still exists in Fedora 8.
Comment 6 John Poelstra 2008-05-01 19:12:33 EDT
thank you for your update
Comment 7 Vesa-Matti Kari 2008-11-12 10:35:29 EST
egrep, fgrep, grep are still broken in Fedora 9 and Red Hat Enterprise Linux Server release 5.2 (Tikanga). It is easy to get segfaults and infinite loops:

[pacman@labyrinth bug]$ dd if=/dev/zero of=zero300 bs=1024k count=300
300+0 records in
300+0 records out
314572800 bytes (315 MB) copied, 4.99563 s, 63.0 MB/s
[pacman@labyrinth bug]$ /bin/grep a zero300 
Segmentation fault (core dumped)
[pacman@labyrinth bug]$ dd if=/dev/zero of=zero280 bs=1024k count=280
280+0 records in
280+0 records out
293601280 bytes (294 MB) copied, 4.42342 s, 66.4 MB/s
[pacman@labyrinth bug]$ /bin/grep a zero280 
^C <---- seems like grep will loop forever so I interrupted it

If you remove:


then the problem goes away.
Comment 8 Bug Zapper 2008-11-26 02:14:14 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 9 Bug Zapper 2009-01-09 02:06:24 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.